Bug 1076999

Summary: Gforth: Can't include unix/socket.fs
Product: [Fedora] Fedora Reporter: Jesús Abelardo Saldívar Aguilar <jasaldivara>
Component: gforthAssignee: Adrian Reber <adrian>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 20CC: adrian
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: gforth-0.7.3-1.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-07 04:03:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jesús Abelardo Saldívar Aguilar 2014-03-17 01:12:52 UTC
Description of problem:
It fails when I try to include "unix/socket.fs"

Version-Release number of selected component (if applicable):
Gforth 0.7.0

How reproducible:
Try to include or require "unix/socket.fs" on Gforth

Steps to Reproduce:

1. Open gforth
2. type "include unix/socket.fs"
3. press <enter>

--or--

1. Open gforth
2. type "require unix/socket.fs"
3. press <enter>

Actual results:
Gforth displays an error message:

sh: --silent: no se encontró la orden

/usr/share/gforth/0.7.0/unix/socket.fs:48: libtool compile failed
>>>end-c-library<<<
Backtrace:
$7F80A0241988 throw 
$7F80A027D488 c(abort") 
$7F80A027E088 compile-wrapper-function1 

Expected results:

include socket functions without error messages

Additional info:

I want to include unix/socket.fs so I can use Unix Domain Sockets on Gforth

Comment 1 Fedora Update System 2015-01-29 07:51:56 UTC
gforth-0.7.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gforth-0.7.3-1.fc21

Comment 2 Fedora Update System 2015-01-29 08:05:27 UTC
gforth-0.7.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gforth-0.7.3-1.fc20

Comment 3 Fedora Update System 2015-01-30 04:28:33 UTC
Package gforth-0.7.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gforth-0.7.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1315/gforth-0.7.3-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-02-07 04:03:25 UTC
gforth-0.7.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-02-07 04:05:13 UTC
gforth-0.7.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.